/*Un sistema de ecuaciones lineales de la forma:Ax+By=C Dx+Ey=F puede 
resolverse utilizando las siguientes fórmulas:x=(ce-bf)/(ae-bd)y= (af-cd)/ae-bd)
Diséñese un programa para leer los dos conjuntos de coeficientes, 
e imprimir los valores que son la solución para x e y.
Hay que controlar el posible error que se produzca (división entre 0). 
En este caso, ofrecer un mensaje de error.*/

#include<stdio.h>
#include<conio.h>

void main (void)
{

	float a,b,c,d,e,f,x,y;

	clrscr();
	printf("Un sistema de ecuaciones lineales de la forma:\n\tAx+By=C\n\tDx+Ey=F");
	printf("\nTeclee a: ");
	scanf("%f",&a);
	printf("Teclee b: ");
	scanf("%f",&b);
	printf("Teclee c: ");
	scanf("%f",&c);
	printf("Teclee d: ");
	scanf("%f",&d);
	printf("Teclee e: ");
	scanf("%f",&e);
	printf("Teclee f: ");
	scanf("%f",&f);
	x=(c*e-b*f)/(a*e-b*d);
	y= (a*f-c*d)/(a*e-b*d);
	printf("X= %f",x);
	printf("\nY= %f",y);
	getch();
}